h2
{
  margin-bottom: 1rem;
}

form
{
  display: flex;
  flex-direction: column;
  gap: 0.7rem;
}

input
{
  padding: 0.6rem;
  border: 1px solid #444;
  border-radius: 6px;
  background: var(--page_form_input_bg);
  color: var(--page_text_color);
  width: 100%;
}

input:focus
{
  outline: none;
}

form button
{
  padding: 0.7rem;
  background: var(--page_text_contrast);
  color: var(--page_bg);
  border: none;
  border-radius: 6px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s;
  margin-bottom: 20px;
}

form button:hover
{
  background: var(--page_text_color);
}

.iqcq
{
  color: var(--page_text_contrast);
  height: 20px;
  padding: 0;
  margin: 10 0 10 0;
  font-weight: bold;
  text-shadow: 0px 0px 10px black;
}

.sjhj
{
  margin-top: 1rem;
  font-size: 0.9rem;
}

.obus
{
  margin-top: 1rem;
  font-size: 0.9rem;
}



/* spinner/processing state, errors */
.mqpa, .mqpa:before, .mqpa:after
{
  border-radius: 50%;
}

.mqpa
{
  color: #ffffff;
  font-size: 22px;
  text-indent: -99999px;
  margin: 0px auto;
  position: relative;
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.mqpa:before, .mqpa:after
{
  position: absolute;
  content: "";
}

.mqpa:before
{
  width: 10.4px;
  height: 20.4px;
  background: var(--color_mid);
  border-radius: 20.4px 0 0 20.4px;
  top: -0.2px;
  left: -0.2px;
  -webkit-transform-origin: 10.4px 10.2px;
  transform-origin: 10.4px 10.2px;
  -webkit-animation: loading 2s infinite ease 1.5s;
  animation: loading 2s infinite ease 1.5s;
}

.mqpa:after
{
  width: 10.4px;
  height: 10.2px;
  background: var(--color_mid);
  border-radius: 0 10.2px 10.2px 0;
  top: -0.1px;
  left: 10.2px;
  -webkit-transform-origin: 0px 10.2px;
  transform-origin: 0px 10.2px;
  -webkit-animation: loading 2s infinite ease;
  animation: loading 2s infinite ease;
}

@-webkit-keyframes loading
{
  0%
  {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100%
  {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes loading
{
  0%
  {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100%
  {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@media only screen and (max-width: 600px)
{
  form
  {
    min-width: initial;
  }
}